-- phpMyAdmin SQL Dump
-- version 3.4.11.1deb2+deb7u2
-- http://www.phpmyadmin.net
--
-- Servidor: localhost
-- Tiempo de generación: 04-06-2016 a las 14:25:50
-- Versión del servidor: 5.5.47
-- Versión de PHP: 5.4.45-0+deb7u2

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `carlosDB`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `alumnos`
--

CREATE TABLE IF NOT EXISTS `alumnos` (
  `idalumno` int(11) NOT NULL,
  `Carnet` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `Nombres` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `Apellidos` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `Fecha_nacimiento` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `Sexo` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `Direccion` varchar(100) COLLATE utf8_spanish_ci DEFAULT NULL,
  `Telefono` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `Email` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `DUI` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `Foto` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `TituloBachiller` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `Clave` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `Estado` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  PRIMARY KEY (`idalumno`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcado de datos para la tabla `alumnos`
--

INSERT INTO `alumnos` (`idalumno`, `Carnet`, `Nombres`, `Apellidos`, `Fecha_nacimiento`, `Sexo`, `Direccion`, `Telefono`, `Email`, `DUI`, `Foto`, `TituloBachiller`, `Clave`, `Estado`) VALUES
(1, 'JC01112312', 'Jorge Alberto ', 'Coto Zelaya', '1993-12-29', 'M', 'Carretera Litoral Km 80 Colonia El Rio Blanco', '7533-1234', 'jorgealberto.cotozelaya@gmail.com', '01112312-1', 'FOTO', 'SI', 'JC01112312', '1');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `aulas`
--

CREATE TABLE IF NOT EXISTS `aulas` (
  `idAula` int(11) NOT NULL,
  `Numero` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `Foto` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `CantMaxAlumnos` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `Disponibilidad` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `idEdificio` int(11) DEFAULT NULL,
  PRIMARY KEY (`idAula`),
  KEY `idEdificio_idx` (`idEdificio`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcado de datos para la tabla `aulas`
--

INSERT INTO `aulas` (`idAula`, `Numero`, `Foto`, `CantMaxAlumnos`, `Disponibilidad`, `idEdificio`) VALUES
(1, '1', 'NULL', '40', '1', 1),
(2, '2', 'NULL', '30', '1', 1),
(3, '3', 'NULL', '15', '1', 1),
(4, '4', 'NULL', '20', '1', 1),
(5, '5', 'NULL', '23', '1', 1),
(6, '6', 'NULL', '25', '1', 1),
(7, '7', 'NULL', '30', '1', 1),
(8, '8', 'NULL', '10', '1', 1),
(9, '9', 'NULL', '50', '1', 1),
(10, '10', 'NULL', '45', '1', 1),
(11, '1', 'NULL', '25', '1', 2),
(12, '2', 'NULL', '35', '1', 2),
(13, '3', 'NULL', '28', '1', 2),
(14, '4', 'NULL', '10', '1', 2),
(15, '5', 'NULL', '60', '1', 2),
(16, '7', 'NULL', '50', '1', 2),
(17, '8', 'NULL', '40', '1', 2),
(18, '9', 'NULL', '18', '1', 2),
(19, '10', 'NULL', '32', '1', 2),
(20, '6', 'NULL', '20', '1', 2),
(21, '11', 'NULL', '1', '1', 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `carreras`
--

CREATE TABLE IF NOT EXISTS `carreras` (
  `idCarrera` int(11) NOT NULL,
  `Nombre` varchar(50) DEFAULT NULL,
  `idFacultad` int(11) DEFAULT NULL,
  PRIMARY KEY (`idCarrera`),
  KEY `idFacultad` (`idFacultad`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `carreras`
--

INSERT INTO `carreras` (`idCarrera`, `Nombre`, `idFacultad`) VALUES
(1, 'Licenciatura en Trabajo Social', 1),
(2, 'Licenciatura en Teologia', 1),
(3, 'Licenciatura en Ciencias de la ComputaciÃ³n', 2),
(4, 'IngenierÃ­a AgroecolÃ³gica', 2),
(5, 'Licenciatura en AdministraciÃ³n de Empresas', 2),
(6, 'Licenciatura en Ciencias JurÃ­dicas', 2),
(7, 'Licenciatura en ContadurÃ­a PÃºblica', 2);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `ciclo`
--

CREATE TABLE IF NOT EXISTS `ciclo` (
  `idCiclo` int(11) NOT NULL,
  `Descripcion` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `AnioEscolar` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  PRIMARY KEY (`idCiclo`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcado de datos para la tabla `ciclo`
--

INSERT INTO `ciclo` (`idCiclo`, `Descripcion`, `AnioEscolar`) VALUES
(1, 'CICLO 1', '2016'),
(2, 'CICLO 2', '2016');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `ciclopensul`
--

CREATE TABLE IF NOT EXISTS `ciclopensul` (
  `idciclopensul` int(10) NOT NULL,
  `nombre` varchar(50) NOT NULL,
  `estadociclo` int(10) NOT NULL,
  PRIMARY KEY (`idciclopensul`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `ciclopensul`
--

INSERT INTO `ciclopensul` (`idciclopensul`, `nombre`, `estadociclo`) VALUES
(1, 'CICLO I', 1),
(2, 'CICLO II', 1),
(3, 'CICLO III', 1),
(4, 'CICLO IV', 1),
(5, 'CICLO V', 1),
(6, 'CICLO VI', 1),
(7, 'CICLO VII', 1),
(8, 'CICLO VIII', 1),
(9, 'CICLO IX', 1),
(10, 'CICLO X', 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `convenio`
--

CREATE TABLE IF NOT EXISTS `convenio` (
  `idConvenio` int(11) NOT NULL,
  `Descripcion` varchar(100) COLLATE utf8_spanish_ci DEFAULT NULL,
  PRIMARY KEY (`idConvenio`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcado de datos para la tabla `convenio`
--

INSERT INTO `convenio` (`idConvenio`, `Descripcion`) VALUES
(1, 'No Pertenece a Convenio'),
(2, 'AdministraciÃ³n Nacional de Acueductos y Alcantarillados (ANDA)'),
(3, ' SecretarÃ­a de InclusiÃ³n Social'),
(4, ' Registro Nacional de Personas Naturales (RNPN)'),
(5, 'PolicÃ­a Nacional Civil (PNC)'),
(6, 'AlcaldÃ­a Municipal de Tapalhuaca'),
(7, 'AlcaldÃ­a Municipal de San Pedro Masahuat'),
(8, 'AlcaldÃ­a Municipal de San Marcos'),
(9, 'AlcaldÃ­a Municipal de Guaymango'),
(10, 'AlcandÃ­a Municipal de Santa MarÃ­a Ostuma'),
(11, ' AlcaldÃ­a Municipal del Rosario de la Paz'),
(12, 'AlcaldÃ­a Municipal de San Antonio Masahuat'),
(13, 'Instituto de Permacultura de El Salvador (IPES)'),
(14, 'Programa de Fortalecimientode Capacidad en la GestiÃ³n de Riesgos  (PFCGR)'),
(15, 'Justicia, Paz e Integridad con la CreaciÃ³n (JPIC)'),
(16, ' AsociaciÃ³n para el Desarrollo Integral del Bajo Lempa (ADIBAL)'),
(17, ' TabernÃ¡culo de Avivamiento Internacional (TAI)'),
(18, 'FundaciÃ³n para el Desarrollo SocioeconÃ³mico Ambiental (FUNDESYRAM) Y RestauraciÃ³n '),
(19, ' FundaciÃ³n de Estudios para la AplicaciÃ³n del Derecho (FESPAD).'),
(20, ' Centro de InvestigaciÃ³n sobre InversiÃ³n y Comercio (CEICOM)'),
(21, 'Itca Fepade'),
(22, 'Otros');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `cursos`
--

CREATE TABLE IF NOT EXISTS `cursos` (
  `idCurso` int(11) NOT NULL,
  `idTipo_Curso` int(11) DEFAULT NULL,
  `idMateria` int(11) DEFAULT NULL,
  `idDocente` int(11) DEFAULT NULL,
  `idAula` int(11) DEFAULT NULL,
  `idHorario` int(11) DEFAULT NULL,
  `MaxCupo` int(11) DEFAULT NULL,
  PRIMARY KEY (`idCurso`),
  KEY `idTipo_Curso_idx` (`idTipo_Curso`),
  KEY `idMateria_idx` (`idMateria`),
  KEY `idDocente_idx` (`idDocente`),
  KEY `idAula_idx` (`idAula`),
  KEY `idHorario_idx` (`idHorario`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `departamentos`
--

CREATE TABLE IF NOT EXISTS `departamentos` (
  `idDepartamento` int(50) NOT NULL,
  `nombre` varchar(50) NOT NULL,
  PRIMARY KEY (`idDepartamento`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `departamentos`
--

INSERT INTO `departamentos` (`idDepartamento`, `nombre`) VALUES
(1, 'Departamento de Agroecologia'),
(2, 'Departamento de AdministraciÃ³n de Empresas'),
(3, 'Departamento de InformÃ¡tica'),
(4, 'Departamento de Ciencias JurÃ­dicas'),
(5, 'Departamento de Trabajo Social'),
(6, 'Departamento de Ciencias de la EducaciÃ³n'),
(7, 'Departamento de Teologia');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `dias`
--

CREATE TABLE IF NOT EXISTS `dias` (
  `idDia` int(10) NOT NULL,
  `Descripcion` varchar(50) COLLATE utf8_spanish_ci NOT NULL,
  PRIMARY KEY (`idDia`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcado de datos para la tabla `dias`
--

INSERT INTO `dias` (`idDia`, `Descripcion`) VALUES
(1, 'Lunes'),
(2, 'Martes'),
(3, 'Miercoles'),
(4, 'Jueves'),
(5, 'Viernes'),
(6, 'Sabado'),
(7, 'Domingo');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `docentes`
--

CREATE TABLE IF NOT EXISTS `docentes` (
  `idDocente` int(11) NOT NULL,
  `Nombres` varchar(50) DEFAULT NULL,
  `Apellidos` varchar(50) DEFAULT NULL,
  `DUI` varchar(50) DEFAULT NULL,
  `Direccion` varchar(50) DEFAULT NULL,
  `Telefono` varchar(50) DEFAULT NULL,
  `Sexo` varchar(50) DEFAULT NULL,
  `Email` varchar(50) DEFAULT NULL,
  `Foto` varchar(50) DEFAULT NULL,
  `Usuario` varchar(50) DEFAULT NULL,
  `Clave` varchar(50) DEFAULT NULL,
  `idDepartamento` int(50) NOT NULL,
  PRIMARY KEY (`idDocente`),
  KEY `idDepartamento` (`idDepartamento`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `docentes`
--

INSERT INTO `docentes` (`idDocente`, `Nombres`, `Apellidos`, `DUI`, `Direccion`, `Telefono`, `Sexo`, `Email`, `Foto`, `Usuario`, `Clave`, `idDepartamento`) VALUES
(1, 'Jorge Alberto', 'Coto Zelaya', '', '', '23556523', '', 'jorgealberto.cotozelaya@gmail.com', '', '', '', 3),
(2, 'Carlos Antonio', 'Servellon Caceres', '', '', '75331047', '', 'carlos@gmail.com', '', '', '', 3),
(3, 'Samuel Arani', 'Perez', '', '', '72296720', '', 'samuel@hotmail.com', '', '', '', 3),
(4, 'Cristian Alexis', 'Gonzales Hernandez', '', '', '78902345', '', 'cristian10@yahoo.com', '', '', '', 3),
(5, 'Maribel Lazo ', 'De Zelaya', '', '', '65567898', '', 'mari90_10@gmail.com', '', '', '', 3),
(6, 'Benjamin Lonvardo', 'Zepeda', '', '', '78907654', '', 'benja@hotmail.com', '', '', '', 2),
(7, 'Carmen Lisbeth', 'Melendez', '', '', '63459809', '', 'cas1021@gmail.com', '', '', '', 2),
(8, 'Beatriz', 'Carranza', '', '', '72102567', '', 'superbeatriz@hotmail.com', '', '', '', 2),
(9, 'Melisa ', 'de paz hernandez', '', '', '72134587', '', 'tremenda@itca.edu.sv', '', '', '', 2),
(10, 'pablo elias', 'Parada Zepeda', '', '', '78924789', '', 'pablo1039_ok@gmail.com', '', '', '', 2);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `edificios`
--

CREATE TABLE IF NOT EXISTS `edificios` (
  `idEdificio` int(11) NOT NULL,
  `Letra` varchar(50) DEFAULT NULL,
  `Foto` varchar(50) DEFAULT NULL,
  `Disponibilidad` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`idEdificio`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `edificios`
--

INSERT INTO `edificios` (`idEdificio`, `Letra`, `Foto`, `Disponibilidad`) VALUES
(1, 'A', 'FOTO', '1'),
(2, 'B', 'FOTO', '1'),
(3, 'C', 'FOTO', '1'),
(4, 'D', 'FOTO', '1'),
(5, 'E', 'FOTO', '1'),
(6, 'F', 'FOTO', '1'),
(7, 'G', 'FOTO', '1');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `facultades`
--

CREATE TABLE IF NOT EXISTS `facultades` (
  `idFacultad` int(11) NOT NULL,
  `Nombrefac` varchar(50) DEFAULT NULL,
  `idDocente` int(11) DEFAULT NULL,
  PRIMARY KEY (`idFacultad`),
  KEY `idDocente` (`idDocente`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `facultades`
--

INSERT INTO `facultades` (`idFacultad`, `Nombrefac`, `idDocente`) VALUES
(1, 'Ciencias del Hombre y la Naturaleza', 1),
(2, 'Teologia y Humanidades', 5);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `horario`
--

CREATE TABLE IF NOT EXISTS `horario` (
  `idHorario` int(11) NOT NULL,
  `idDia` int(10) DEFAULT NULL,
  `Hora` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `Anio` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  PRIMARY KEY (`idHorario`),
  KEY `Dia` (`idDia`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcado de datos para la tabla `horario`
--

INSERT INTO `horario` (`idHorario`, `idDia`, `Hora`, `Anio`) VALUES
(1, 1, '7:00 AM - 9:30 AM', '2016'),
(2, 1, '4:00 PM - 7:20 PM', '2016'),
(3, 2, '7:00 AM - 9:30 AM', '2016'),
(4, 2, '9:40 AM - 12:10 PM', '2016'),
(5, 2, '4:00 PM - 7:20 PM', '2016'),
(6, 3, '7:00 AM - 9:30 AM', '2016'),
(7, 3, '9:40 AM - 12:10 PM', '2016'),
(8, 3, '1:00 PM - 3:30 PM', '2016'),
(9, 3, '4:00 PM - 7:20 PM', '2016'),
(10, 4, '7:00 AM - 9:30 AM', '2016'),
(11, 4, '9:40 AM - 12:10 PM', '2016'),
(12, 4, '9:40 AM - 12:10 PM', '2016'),
(13, 5, '7:00 AM - 9:30 AM', '2016'),
(14, 6, '7:00 AM - 9:30 AM', '2016'),
(15, 6, '9:40 AM - 12:10 PM', '2016'),
(16, 6, '1:00 PM - 3:30 PM', '2016'),
(17, 7, '7:00 AM - 9:30 AM', '2016'),
(18, 7, '9:40 AM - 12:10 PM', '2016');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `incripcion_ciclo`
--

CREATE TABLE IF NOT EXISTS `incripcion_ciclo` (
  `idIncripcion_ciclo` int(11) NOT NULL,
  `idPago` int(11) DEFAULT NULL,
  `idCiclo` int(11) DEFAULT NULL,
  PRIMARY KEY (`idIncripcion_ciclo`),
  KEY `idPago_idx` (`idPago`),
  KEY `idCiclo_idx` (`idCiclo`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `inscripcion`
--

CREATE TABLE IF NOT EXISTS `inscripcion` (
  `idInscripcion` int(11) NOT NULL,
  `idalumno` int(11) DEFAULT NULL,
  `idCurso` int(11) DEFAULT NULL,
  `idIncripcion_ciclo` int(11) DEFAULT NULL,
  KEY `idalumno` (`idalumno`),
  KEY `idCurso` (`idCurso`),
  KEY `idIncripcion_ciclo` (`idIncripcion_ciclo`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `inscripciones`
--

CREATE TABLE IF NOT EXISTS `inscripciones` (
  `id_inscripciones` int(11) NOT NULL AUTO_INCREMENT,
  `nombre` varchar(500) NOT NULL,
  `email` varchar(500) NOT NULL,
  `phone` varchar(500) NOT NULL,
  `carrera` varchar(500) NOT NULL,
  `carnet` varchar(20) NOT NULL,
  `carrera_selected` varchar(500) NOT NULL,
  `ciclo_selected` varchar(500) NOT NULL,
  `materia1` varchar(500) NOT NULL,
  `materia2` varchar(500) NOT NULL,
  `materia3` varchar(500) NOT NULL,
  `materia4` varchar(500) NOT NULL,
  `materia5` varchar(500) NOT NULL,
  PRIMARY KEY (`id_inscripciones`),
  UNIQUE KEY `carnet` (`carnet`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Volcado de datos para la tabla `inscripciones`
--

INSERT INTO `inscripciones` (`id_inscripciones`, `nombre`, `email`, `phone`, `carrera`, `carnet`, `carrera_selected`, `ciclo_selected`, `materia1`, `materia2`, `materia3`, `materia4`, `materia5`) VALUES
(1, 'carlos alberto mejia', 'carlos.selectronic@gmail.com', '78129231', 'Licenciatura en Computacion', 'mb01132820', 'Licenciatura', '', 'MATEMATICA', 'LOGICA', 'PRINCIPIOS', 'FILOSOFIA', 'INTRODUCCION'),
(2, 'jose enrique', 'jose@chepe.com', '23546788', 'trabajo social', 'jc1236567', 'Licenciatura', '', 'LOGICA', 'FILOSOFIA', 'PRINCIPIOS', 'LOGICA', 'MATEMATICA'),
(3, 'oscar gonzalez', 'oscar@yo.com', '7676-3567', 'computacion', 'g01132991', 'Licenciatura', '', 'MATEMATICA', 'LOGICA', 'PRINCIPIOS', 'FILOSOFIA', 'INTRODUCCION');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `materias`
--

CREATE TABLE IF NOT EXISTS `materias` (
  `idMateria` int(11) NOT NULL,
  `Nombre` varchar(50) DEFAULT NULL,
  `UV` varchar(50) DEFAULT NULL,
  `idCarrera` int(11) NOT NULL,
  `idciclopensul` int(10) NOT NULL,
  `prerequisito` varchar(50) DEFAULT NULL,
  `idTipo_pre_requisito` int(11) NOT NULL,
  PRIMARY KEY (`idMateria`),
  KEY `idCarrera` (`idCarrera`),
  KEY `idciclopensul` (`idciclopensul`),
  KEY `idTipo_pre_requisito` (`idTipo_pre_requisito`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `materias`
--

INSERT INTO `materias` (`idMateria`, `Nombre`, `UV`, `idCarrera`, `idciclopensul`, `prerequisito`, `idTipo_pre_requisito`) VALUES
(1, 'MATEMATICA I sabados 7:00am-9:30am', '4', 3, 1, 'Bachillerato', 3),
(2, 'LOGICA COMPUTACIONAL sabados 9:30am-12:10pm', '4', 3, 1, 'Bachillerato', 3),
(3, 'PRINCIPIOS DE ECONOMIA sabados 1:00pm-3:00pm', '4', 3, 1, 'Bachillerato', 3),
(4, 'FILOSOFIA GENERAL lunes 4:00pm-7:00pm', '4', 3, 1, 'Bachillerato', 3),
(5, 'NFORMATICA miercoles 7:00am-9:00am', '4', 3, 1, 'Bachillerato', 3),
(6, 'MATEMATICA II', '4', 3, 2, 'MATEMATICA I', 3),
(7, 'ALGORITMO I', '4', 3, 2, 'LOGICA COMPUTACIONAL', 3),
(8, 'ECOLOGIA', '4', 3, 2, 'Bachillerato', 3),
(9, 'PROGRAMACION ORIENTADA A OBJETO', '4', 3, 2, 'LOGICA COMPUTACIONAL', 3),
(10, 'INTRODUCCION AL SOFTWARE LIBRE', '4', 3, 2, 'INTRODUCCION A LA INFORMATICA', 3),
(11, 'ESTADISTICA', '4', 3, 3, 'MATEMATICA II', 3),
(12, 'TEORIA ADMINISTRATIVA', '4', 3, 3, 'PRINCIPIOS GENERALES DE ECONOMIA', 3),
(13, 'REDACCION Y ORTOGRAFIA', '4', 3, 3, 'Bachillerato', 3),
(14, 'ALGORITMO II', '4', 3, 3, 'ALGORITMO I', 3),
(15, 'INGLES TECNICO', '4', 3, 3, 'Bachillerato', 3),
(16, 'ETICA PROFESIONAL', '4', 3, 4, 'FILOSOFIA GENERAL', 3),
(18, 'INTERNET I', '4', 3, 4, 'ALGORITMO II', 3),
(19, 'PROGRAMACION I', '4', 3, 4, 'ALGORITMO II', 3),
(20, 'INTRODUCCION A HARWARE', '4', 3, 4, 'INTRODUCCION AL SOFTWARE LIBRE', 3),
(21, 'MERCADOTECNIA', '4', 3, 5, 'TEORIA ADMINISTRATIVA', 3),
(22, 'INTERNET II', '4', 3, 5, 'INTERNET I', 3),
(23, 'BASE DE DATOS I', '4', 3, 5, 'PROGRAMACION ORIENTADA A OBJETO', 3),
(24, 'PROGRAMACION II', '4', 3, 5, 'PROGRAMACION I', 3),
(25, 'METODOS Y TECNICAS DE INVESTIGACION', '4', 3, 5, 'Bachillerato', 3),
(26, 'BASE DE DATOS II', '4', 3, 6, 'BASE DE DATOS I', 3),
(27, 'GESTION Y MITACION DE RIESGOS', '4', 3, 6, 'ECOLOGIA', 3),
(28, 'REDES I', '4', 3, 6, 'INTERNET II', 3),
(29, 'PROGRAMACION III', '4', 3, 6, 'PROGRAMACION II', 3),
(30, 'FORMULACION Y EVALUACION DE PROYECTOS', '4', 3, 7, 'METODOS Y TECNICAS DE INVESTIGACION', 3),
(31, 'LEGISLACION LABORAL', '4', 3, 7, 'CONTABILIDAD', 3),
(32, 'SISTEMAS OPERATIVOS DE REDES', '4', 3, 8, 'REDES I', 3),
(33, 'ADMINISTRACION DE PERSONAL', '4', 3, 7, 'MERCADOTECNIA', 3),
(34, 'REDES II', '4', 3, 8, 'REDES I', 3),
(35, 'AUDITORIA DE SISTEMAS ', '4', 3, 8, 'PROGRAMACION III', 3),
(36, 'NUEVAS TENDENCIAS DE PROGRAMACION', '4', 3, 8, 'PROGRAMACION III', 3),
(37, 'ANALISIS DE SISTEMAS', '4', 3, 8, 'PROGRAMACION III', 3),
(38, 'CONSULTORIA PROFESIONAL', '4', 3, 9, 'LEGISLACION LABORAL', 3),
(39, 'ADMINISTRACION DE SISTEMAS INFORMATICOS', '4', 3, 9, 'ANALISIS DE SISTEMAS', 3),
(40, 'EMPRESAS Y COOPERATIVAS DE SOFTWARE', '4', 3, 9, 'ANALISIS DE SISTEMAS', 3),
(41, 'DISEÃ‘O DE SISTEMAS', '4', 3, 9, 'ANALISIS DE SISTEMAS', 3),
(42, 'PROYECTOS DEL SOFTWARE LIBRE', '4', 3, 10, 'DISEÃ‘O DE SISTEMAS', 3),
(43, 'PRACTICA PROFESIONAL INFORMATICA', '4', 3, 10, 'ADMINISTRACION DE SISTEMAS INFORMATICOS', 3),
(44, 'SEMINARIO DE GRADUACION', '4', 3, 10, 'PRACTICA PROFESIONAL INFORMATICA', 3),
(45, 'CONTABILIDAD', '4', 5, 1, 'Bachillerato', 3),
(46, 'MATEMATICA I', '4', 5, 1, 'Bachillerato', 3),
(47, 'PRINCIPIOS GENERALES DE ECONOMIA', '4', 5, 1, 'Bachillerato', 3),
(48, 'PSICOLOGIA GENERAL', '4', 5, 1, 'Bachillerato', 3),
(49, 'TEORIA ADMINISTRATIVA I', '4', 5, 1, 'Bachillerato', 3),
(50, 'CONTABILIDAD II', '4', 5, 2, 'CONTABILIDAD', 3),
(51, 'MATEMATICA II', '4', 5, 2, 'MATEMATICA I', 3),
(52, 'INFORMATICA', '4', 5, 2, 'Bachillerato', 3),
(53, 'INGLES', '4', 5, 2, 'Bachillerato', 3),
(54, 'TEORIA ADMINISTRATIVA II', '4', 5, 2, 'TEORIA ADMINISTRATIVA I', 3);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `matricula`
--

CREATE TABLE IF NOT EXISTS `matricula` (
  `idMatricula` int(11) NOT NULL,
  `idalumno` int(11) NOT NULL,
  `idCarrera` int(11) NOT NULL,
  `idConvenio` int(11) NOT NULL,
  `idPago` int(11) NOT NULL,
  PRIMARY KEY (`idMatricula`),
  KEY `idalumno` (`idalumno`,`idCarrera`,`idConvenio`,`idPago`),
  KEY `idCarrera` (`idCarrera`),
  KEY `idConvenio` (`idConvenio`,`idPago`),
  KEY `idPago` (`idPago`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `pagos`
--

CREATE TABLE IF NOT EXISTS `pagos` (
  `idPago` int(11) NOT NULL,
  `idalumno` int(11) DEFAULT NULL,
  `Estado` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  PRIMARY KEY (`idPago`),
  KEY `idalumno_idx` (`idalumno`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tipo_curso`
--

CREATE TABLE IF NOT EXISTS `tipo_curso` (
  `idTipo_Curso` int(11) NOT NULL,
  `Descripcion` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  PRIMARY KEY (`idTipo_Curso`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcado de datos para la tabla `tipo_curso`
--

INSERT INTO `tipo_curso` (`idTipo_Curso`, `Descripcion`) VALUES
(1, 'Clases'),
(2, 'Interciclo');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tipo_pre_requisito`
--

CREATE TABLE IF NOT EXISTS `tipo_pre_requisito` (
  `idTipo_pre_requisito` int(11) NOT NULL,
  `Descripcion` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  PRIMARY KEY (`idTipo_pre_requisito`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcado de datos para la tabla `tipo_pre_requisito`
--

INSERT INTO `tipo_pre_requisito` (`idTipo_pre_requisito`, `Descripcion`) VALUES
(1, 'Ninguna'),
(2, 'Curso de ingreso'),
(3, 'Materia de Ciclo'),
(4, 'Materia de interciclo'),
(5, 'Horas sociales'),
(6, 'Horas practicas');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nombres` varchar(50) CHARACTER SET utf8 NOT NULL,
  `email` varchar(50) CHARACTER SET utf8 NOT NULL,
  `usuario` varchar(32) CHARACTER SET utf8 NOT NULL,
  `clave` varchar(32) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `clave` (`clave`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=3 ;

--
-- Volcado de datos para la tabla `users`
--

INSERT INTO `users` (`id`, `nombres`, `email`, `usuario`, `clave`) VALUES
(1, 'Carlos Alberto Mejia Barahona', 'carlos.selectronic@gmail.com', 'carlos', 'selectronic'),
(2, 'chepe1', 'chepe@chepon.com', 'chepon', 'chepon');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuarios`
--

CREATE TABLE IF NOT EXISTS `usuarios` (
  `id_usuario` int(15) NOT NULL,
  `nombres` varchar(100) NOT NULL,
  `apellidos` varchar(100) NOT NULL,
  `dui` varchar(9) NOT NULL,
  `sexo` varchar(50) NOT NULL,
  `fechaNac` date NOT NULL,
  `celular` varchar(20) NOT NULL,
  `direccion` varchar(200) NOT NULL,
  `email` varchar(100) NOT NULL,
  `usuario` varchar(100) NOT NULL,
  `clave` varchar(100) NOT NULL,
  `claveEncriptada` varchar(100) NOT NULL,
  `tipo` varchar(100) NOT NULL,
  `foto` varchar(100) NOT NULL,
  `estado` varchar(100) NOT NULL,
  PRIMARY KEY (`id_usuario`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `usuarios`
--

INSERT INTO `usuarios` (`id_usuario`, `nombres`, `apellidos`, `dui`, `sexo`, `fechaNac`, `celular`, `direccion`, `email`, `usuario`, `clave`, `claveEncriptada`, `tipo`, `foto`, `estado`) VALUES
(1, '', '', '', '', '0000-00-00', '', '', '', '', '', '', 'Administrador', '', '1'),
(2, '', '', '', '', '0000-00-00', '', '', '', '', '', '', '', '', '');

--
-- Restricciones para tablas volcadas
--

--
-- Filtros para la tabla `aulas`
--
ALTER TABLE `aulas`
  ADD CONSTRAINT `idEdificio` FOREIGN KEY (`idEdificio`) REFERENCES `hhha`.`edificios` (`idEdificio`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `carreras`
--
ALTER TABLE `carreras`
  ADD CONSTRAINT `carreras_ibfk_1` FOREIGN KEY (`idFacultad`) REFERENCES `facultades` (`idFacultad`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `cursos`
--
ALTER TABLE `cursos`
  ADD CONSTRAINT `idAula` FOREIGN KEY (`idAula`) REFERENCES `aulas` (`idAula`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `idDocente` FOREIGN KEY (`idDocente`) REFERENCES `docentes` (`idDocente`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `idHorario` FOREIGN KEY (`idHorario`) REFERENCES `horario` (`idHorario`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `idMateria` FOREIGN KEY (`idMateria`) REFERENCES `materias` (`idMateria`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `idTipo_Curso` FOREIGN KEY (`idTipo_Curso`) REFERENCES `tipo_curso` (`idTipo_Curso`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `docentes`
--
ALTER TABLE `docentes`
  ADD CONSTRAINT `docentes_ibfk_1` FOREIGN KEY (`idDepartamento`) REFERENCES `departamentos` (`idDepartamento`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `facultades`
--
ALTER TABLE `facultades`
  ADD CONSTRAINT `facultades_ibfk_1` FOREIGN KEY (`idDocente`) REFERENCES `docentes` (`idDocente`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `horario`
--
ALTER TABLE `horario`
  ADD CONSTRAINT `horario_ibfk_1` FOREIGN KEY (`idDia`) REFERENCES `dias` (`idDia`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `incripcion_ciclo`
--
ALTER TABLE `incripcion_ciclo`
  ADD CONSTRAINT `idCiclo` FOREIGN KEY (`idCiclo`) REFERENCES `ciclo` (`idCiclo`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `idPago` FOREIGN KEY (`idPago`) REFERENCES `pagos` (`idPago`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `inscripcion`
--
ALTER TABLE `inscripcion`
  ADD CONSTRAINT `inscripcion_ibfk_1` FOREIGN KEY (`idalumno`) REFERENCES `alumnos` (`idalumno`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `inscripcion_ibfk_2` FOREIGN KEY (`idCurso`) REFERENCES `cursos` (`idCurso`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `inscripcion_ibfk_3` FOREIGN KEY (`idIncripcion_ciclo`) REFERENCES `incripcion_ciclo` (`idIncripcion_ciclo`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `materias`
--
ALTER TABLE `materias`
  ADD CONSTRAINT `materias_ibfk_1` FOREIGN KEY (`idCarrera`) REFERENCES `carreras` (`idCarrera`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `materias_ibfk_2` FOREIGN KEY (`idciclopensul`) REFERENCES `ciclopensul` (`idciclopensul`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `materias_ibfk_3` FOREIGN KEY (`idTipo_pre_requisito`) REFERENCES `tipo_pre_requisito` (`idTipo_pre_requisito`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `matricula`
--
ALTER TABLE `matricula`
  ADD CONSTRAINT `matricula_ibfk_1` FOREIGN KEY (`idalumno`) REFERENCES `alumnos` (`idalumno`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `matricula_ibfk_2` FOREIGN KEY (`idCarrera`) REFERENCES `carreras` (`idCarrera`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `matricula_ibfk_3` FOREIGN KEY (`idConvenio`) REFERENCES `convenio` (`idConvenio`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `matricula_ibfk_4` FOREIGN KEY (`idPago`) REFERENCES `pagos` (`idPago`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `pagos`
--
ALTER TABLE `pagos`
  ADD CONSTRAINT `idalumno` FOREIGN KEY (`idalumno`) REFERENCES `alumnos` (`idalumno`) ON DELETE CASCADE ON UPDATE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
